<?php

// get value from database
$get_from_database = get_option( 'scrollToTop_Options' );

$custom_css = "
                /* show button */
                @media screen and (max-width: {$get_from_database['visibility-max-width']}px) {
                  .scrollToTopPlugin {
                      transform: scale(1.0);
                  }
                }
                /* hide button */
                @media screen and (max-width: {$get_from_database['visibility-min-width']}px) {
                  .scrollToTopPlugin {
                     transform: scale(0);
                  }
                }

                /* scroll bar width */
                .scrollToTopPlugin
                {
                    width: {$get_from_database['scroll-bar-width']['width']};
                }

                /* scroll bar height */
                .scrollToTopPlugin
                {
                    height: {$get_from_database['scroll-bar-height']['height']};
                }

                /* button border radius */
                .scrollToTopPlugin .scrollToTopPluginInner{
                    border-radius: {$get_from_database['scroll-bar-border-radius']['padding-top']} 
                    {$get_from_database['scroll-bar-border-radius']['padding-right']} 
                    {$get_from_database['scroll-bar-border-radius']['padding-bottom']}
                    {$get_from_database['scroll-bar-border-radius']['padding-left']};
                }

                /* button opacity */
                .scrollToTopPlugin .scrollToTopPluginInner{
                    opacity: {$get_from_database['scroll-bar-opacity']};
                }

                /* fade duration */
                .scrollToTopPlugin{
                  transition: opacity {$get_from_database['scroll-bar-fade-duration']}s ease, 
                  visibility {$get_from_database['scroll-bar-fade-duration']}s ease;
                }

                /* border */
                .scrollToTopPlugin .scrollToTopPluginInner{
                    border-color: {$get_from_database['scroll-bar-border-setting']['border-color']};
                    border-style: {$get_from_database['scroll-bar-border-setting']['border-style']};
                    border-top-width: {$get_from_database['scroll-bar-border-setting']['border-top']};
                    border-right-width: {$get_from_database['scroll-bar-border-setting']['border-right']};
                    border-bottom-width: {$get_from_database['scroll-bar-border-setting']['border-bottom']};
                    border-left-width: {$get_from_database['scroll-bar-border-setting']['border-left']};
                }

                /* box shadow */
                .scrollToTopPlugin .scrollToTopPluginInner{
                    box-shadow: {$get_from_database['button-box-shadow-horizontal']}px 
                    {$get_from_database['button-box-shadow-vertical']}px 
                    {$get_from_database['button-box-shadow-blur']}px 
                    {$get_from_database['button-box-shadow-spread']}px 
                    {$get_from_database['button-box-shadow-color']} 
                    {$get_from_database['button-box-shadow-inset']};
                }
                
                /* icons before */
                .scrollToTopPlugin i.fa:before, 
                .scrollToTopPlugin span.fa-span:before{
                    transition: color 200ms ease !important
                }
        ";
// add the stylesheet
wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css );

//----------------------------------------------------------------------------------------------------------

// check if the horizontal align right
if ( $get_from_database['button-horizontal-align'] === 'right' ) {
	// custom css
	$custom_css_1 = '
                /* horizontal align right */
                .scrollToTopPlugin{
                   right: ' . $get_from_database['button-horizontal-distance']['width'] . ';
                }
                ';
	wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_1 );

	// check if the horizontal align left
} else if ( $get_from_database['button-horizontal-align'] === 'left' ) {
	// custom css
	$custom_css_2 = '
                /* horizontal align right */
                .scrollToTopPlugin{
                   left: ' . $get_from_database['button-horizontal-distance']['width'] . ';
                   right:auto;
                }
                ';
	wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_2 );

	// check if the horizontal align center
} else if ( $get_from_database['button-horizontal-align'] === 'center' ) {
	// custom css
	$custom_css_3 = '
                /* horizontal align right */
                .scrollToTopPlugin{
                   left: 0;
                   right:0;
                   margin: 0 auto;
                }
                ';
	wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_3 );
}

//---------------------------------------------------------------------------------------------------

// check if the vertical align bottom
if ( $get_from_database['button-vertical-align'] === 'bottom' ) {
	// custom css
	$custom_css_4 = '
                /* vertical align bottom */
                .scrollToTopPlugin{
                   bottom: ' . $get_from_database['button-vertical-distance']['height'] . ';
                }
                ';
	wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_4 );

	// check if the vertical align top
} else if ( $get_from_database['button-vertical-align'] === 'top' ) {
	// custom css
	$custom_css_5 = '
                /* vertical align top */
                .scrollToTopPlugin{
                   bottom: auto;
                   top: ' . $get_from_database['button-vertical-distance']['height'] . ';
                }
                ';
	wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_5 );
}

//--------------------------------------------------------------------------------------------------- BUTTON LABEL TYPE
if ( $get_from_database['button-label-type'] === 'font-icons' ) {
	// custom css
	$custom_css_6 = '
                /* icons size */
                .scrollToTopPlugin .scrollToTopPluginInner .scrollToTopPlugin_label{
                  font-size: ' . $get_from_database['button-icons-size']['width'] . ';
                }
                ';
	wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_6 );

	// text settings
} else if ( $get_from_database['button-label-type'] === 'text' ) {
	// custom css
	$custom_css_7 = '
                /* text font size */
                .scrollToTopPlugin .scrollToTopPluginInner .scrollToTopPlugin_label{
                  font-size: ' . $get_from_database['button-label-font-size']['width'] . ';
                }
                /* typography */
                .scrollToTopPlugin{
                  font-family: ' . $get_from_database['button-label-typography']['font-family'] . ';
                  font-weight: ' . $get_from_database['button-label-typography']['font-weight'] . ';
                  word-spacing: ' . $get_from_database['button-label-typography']['word-spacing'] . ';
                  letter-spacing: ' . $get_from_database['button-label-typography']['letter-spacing'] . ';
                }
                ';
	wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_7 );
}


//-------------------------------------------------------------------------------------------------------------- BUTTON COLOR
// check if the color type option is color then apply color setting
if ( $get_from_database['color-type-change'] === 'color' ) {
	// custom css
	$custom_css_8 = '
                /* button background color */
                .scrollToTopPlugin .scrollToTopPluginInner{
                    background: ' . $get_from_database['scroll-bar-background-color'] . ';
                }

                /* button background :before color */
                .scrollToTopPlugin .scrollToTopPluginInner:before,
                .scrollToTopPlugin .scrollToTopPluginInner:before,
                .scrollToTopPlugin .scrollToTopPluginInner:before
                {
                    background: ' . $get_from_database['scroll-bar-background-hover-color'] . ';
                }
                ';
	wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_8 );


	// check if the hover animation is fade then apply background hover css
	if ( $get_from_database['scroll-bar-hover-animations'] === 'fade' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-grow' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-shrink' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-pulse' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-pulse-grow' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-pulse-shrink' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-push' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-pop' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-bounce-in' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-bounce-out' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-float' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-wobble-horizontal' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-wobble-vertical' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-wobble-bottom' or
	     $get_from_database['scroll-bar-hover-animations'] === 'hvr-buzz-out'
	) {
		// custom css
		$custom_css_8_1 = '
                /* button background hover color */
                .scrollToTopPlugin:hover .scrollToTopPluginInner,
                .scrollToTopPlugin:active .scrollToTopPluginInner,
                .scrollToTopPlugin:focus .scrollToTopPluginInner
                {
                    background: ' . $get_from_database['scroll-bar-background-hover-color'] . ';
                }
        ';
		wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_8_1 );
	}

	//------------------------------------------------------- check if the color type option is gradient then apply gradient setting
} else if ( $get_from_database['color-type-change'] === 'gradient' ) {
	// custom css
	$custom_css_9 = '
                /* button background color */
                .scrollToTopPlugin .scrollToTopPluginInner{
                    background-image: linear-gradient(' . $get_from_database['scroll-bar-gradient-angle'] . 'deg, ' . $get_from_database['scroll-bar-color-gradient']['from'] . ' ' . $get_from_database['scroll-bar-gradient-move'] . '%, ' . $get_from_database['scroll-bar-color-gradient']['to'] . ' ' . $get_from_database['scroll-bar-gradient-blur'] . '%);
                    background-image: -webkit-linear-gradient(' . $get_from_database['scroll-bar-gradient-angle'] . 'deg, ' . $get_from_database['scroll-bar-color-gradient']['from'] . ' ' . $get_from_database['scroll-bar-gradient-move'] . '%, ' . $get_from_database['scroll-bar-color-gradient']['to'] . ' ' . $get_from_database['scroll-bar-gradient-blur'] . '%);
                    background-image: -moz-linear-gradient(' . $get_from_database['scroll-bar-gradient-angle'] . 'deg, ' . $get_from_database['scroll-bar-color-gradient']['from'] . ' ' . $get_from_database['scroll-bar-gradient-move'] . '%, ' . $get_from_database['scroll-bar-color-gradient']['to'] . ' ' . $get_from_database['scroll-bar-gradient-blur'] . '%);
                    background-image: -o-linear-gradient(' . $get_from_database['scroll-bar-gradient-angle'] . 'deg, ' . $get_from_database['scroll-bar-color-gradient']['from'] . ' ' . $get_from_database['scroll-bar-gradient-move'] . '%, ' . $get_from_database['scroll-bar-color-gradient']['to'] . ' ' . $get_from_database['scroll-bar-gradient-blur'] . '%);
                    background-image: -ms-linear-gradient(' . $get_from_database['scroll-bar-gradient-angle'] . 'deg, ' . $get_from_database['scroll-bar-color-gradient']['from'] . ' ' . $get_from_database['scroll-bar-gradient-move'] . '%, ' . $get_from_database['scroll-bar-color-gradient']['to'] . ' ' . $get_from_database['scroll-bar-gradient-blur'] . '%);
                }
    ';
	wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_9 );

	//---------------------------------------------------------------------------------- check if the color type option is image
} else if ( $get_from_database['color-type-change'] === 'image' ) {
	// custom css
	$custom_css_10 = '
                /* button background image */
                .scrollToTopPlugin .scrollToTopPluginInner{
                    background-color: ' . $get_from_database['scroll-bar-image-background']['background-color'] . ';
                    background-image: url("' . $get_from_database['scroll-bar-image-background']['background-image'] . '");
                    background-repeat: ' . $get_from_database['scroll-bar-image-background']['background-repeat'] . ';
                    background-position: ' . $get_from_database['scroll-bar-image-background']['background-position'] . ';
                    background-size: ' . $get_from_database['scroll-bar-image-background']['background-size'] . ';
                    background-attachment: ' . $get_from_database['scroll-bar-image-background']['background-attachment'] . ';
                }
    ';
	wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_10 );

}

//--------------------------------------------------------------------------------------- text color
if (
	$get_from_database['color-type-change'] === 'color' or
	$get_from_database['color-type-change'] === 'gradient' or
	$get_from_database['color-type-change'] === 'image'
) {
	// custom css
	$custom_css_8_1 = '
                /* button text color */
                .scrollToTopPlugin .scrollToTopPluginInner{
                    color: ' . $get_from_database['scroll-bar-foreground-color'] . ';
                }

                /* button text hover color */
                .scrollToTopPlugin:hover .scrollToTopPluginInner,
                .scrollToTopPlugin:active .scrollToTopPluginInner,
                .scrollToTopPlugin:focus .scrollToTopPluginInner
                {
                    color: ' . $get_from_database['scroll-bar-foreground-hover-color'] . ';
                }
                ';
	wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_8_1 );
}

//------------------------------------------------------------------------- text shadow
if ( $get_from_database['button-label-type-hide'] === '1' ) {
	// custom css
	$custom_css_11 = '
                /* button text shadow */
                .scrollToTopPlugin .scrollToTopPluginInner{
                    text-shadow: ' . $get_from_database['button-text-shadow-horizontal'] . 'px ' . $get_from_database['button-text-shadow-vertical'] . 'px ' . $get_from_database['button-text-shadow-blur'] . 'px ' . $get_from_database['button-text-shadow-color'] . ';
                }
    ';
	wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_11 );

}

//------------------------------------------------------------------------- button reveal effects
switch ( $get_from_database['scroll-bar-reveal-effects'] ) {
	// zoom
	case 'zoom':
		$custom_css_effects = "
        /* zoom animation */
        .scrollToTopPlugin{
            opacity: 0;
            visibility: hidden;
            transform: scale(0);
            transition: opacity {$get_from_database['scroll-bar-fade-duration']}s ease, 
            visibility {$get_from_database['scroll-bar-fade-duration']}s ease, 
            transform {$get_from_database['scroll-bar-fade-duration']}s ease;
        }
        .scrollToTopPlugin.showHide{
            opacity: 1;
            visibility: visible;
            transform: scale(1.0);
        }
        ";
		break;

	// zoom from bottom left
	case 'zoom-from-bottom-left':
		$custom_css_effects = "
        /* zoom animation */
        .scrollToTopPlugin{
            opacity: 0;
            visibility: hidden;
            transform: scale(0);
            transform-origin:left bottom;
            transition: opacity {$get_from_database['scroll-bar-fade-duration']}s ease, 
            visibility {$get_from_database['scroll-bar-fade-duration']}s ease, 
            transform {$get_from_database['scroll-bar-fade-duration']}s ease;
        }
        .scrollToTopPlugin.showHide{
            opacity: 1;
            visibility: visible;
            transform: scale(1.0);
        }
        ";
		break;

	// zoom from top left
	case 'zoom-from-top-left':
		$custom_css_effects = "
        /* zoom animation */
        .scrollToTopPlugin{
            opacity: 0;
            visibility: hidden;
            transform: scale(0);
            transform-origin:top left;
            transition: opacity {$get_from_database['scroll-bar-fade-duration']}s ease, 
            visibility {$get_from_database['scroll-bar-fade-duration']}s ease, 
            transform {$get_from_database['scroll-bar-fade-duration']}s ease;
        }
        .scrollToTopPlugin.showHide{
            opacity: 1;
            visibility: visible;
            transform: scale(1.0);
        }
        ";
		break;

	// zoom from top right
	case 'zoom-from-top-right':
		$custom_css_effects = "
        /* zoom animation */
        .scrollToTopPlugin{
            opacity: 0;
            visibility: hidden;
            transform: scale(0);
            transform-origin:top right;
            transition: opacity {$get_from_database['scroll-bar-fade-duration']}s ease, 
            visibility {$get_from_database['scroll-bar-fade-duration']}s ease, 
            transform {$get_from_database['scroll-bar-fade-duration']}s ease;
        }
        .scrollToTopPlugin.showHide{
            opacity: 1;
            visibility: visible;
            transform: scale(1.0);
        }
        ";
		break;

	// zoom from bottom right
	case 'zoom-from-bottom-right':
		$custom_css_effects = "
        /* zoom animation */
        .scrollToTopPlugin{
            opacity: 0;
            visibility: hidden;
            transform: scale(0);
            transform-origin:bottom right;
            transition: opacity {$get_from_database['scroll-bar-fade-duration']}s ease, 
            visibility {$get_from_database['scroll-bar-fade-duration']}s ease, 
            transform {$get_from_database['scroll-bar-fade-duration']}s ease;
        }
        .scrollToTopPlugin.showHide{
            opacity: 1;
            visibility: visible;
            transform: scale(1.0);
        }
        ";
		break;

	// default
	default:
		$custom_css_effects = "
        /* fade animation */
        .scrollToTopPlugin{
            opacity: 0;
            visibility: hidden;
            transition: opacity {$get_from_database['scroll-bar-fade-duration']}s ease, 
            visibility {$get_from_database['scroll-bar-fade-duration']}s ease;
        }
        .scrollToTopPlugin.showHide{
            opacity: 1;
            visibility: visible;
        }
        ";
}
wp_add_inline_style( 'front-stylesheet-scrollToTop', $custom_css_effects );

//------------------------------------------------------------------------- custom css apply
if ( isset( $get_from_database['scroll-bar-custom-css'] ) ) {
	wp_add_inline_style( 'front-stylesheet-scrollToTop', $get_from_database['scroll-bar-custom-css'] );
}