jQuery(document).ready(function ($) {

    // variables
    var $scrollBar = '.scrollToTopPlugin',
        $active = 'showHide';

    // show button on page load
    if ($(this).scrollTop() > 200) {
        $($scrollBar).stop(true, true).addClass($active);
    }

    // variable
    var stop_auto_hide,
        get_visibility_duration = parseInt(scrollToTopScript_Options.visibility_duration, 10);


    // scroll function
    $(window).scroll(function () {
        // scroll top
        if ($(this).scrollTop() < 200) {
            // fadeOut
            $($scrollBar).stop(true, true).removeClass($active);
        } else {
            // fadeIn
            $($scrollBar).stop(true, true).addClass($active);

            // check if the visibility duration option is not 0
            if (get_visibility_duration > 0) {
                // auto hide
                // clear time out
                clearTimeout(stop_auto_hide);
                // set time out
                stop_auto_hide = setTimeout(auto_hide, get_visibility_duration * 1000);
            }
        }
    });

    // check if the visibility duration option is not 0
    if (get_visibility_duration > 0) {
        // auto hide button after some time function
        var auto_hide = function () {
            $($scrollBar).stop(true, true).removeClass($active);
        };
    }


    // button trigger
    $($scrollBar).on({
        // click function
        'click'     : function () {
            // get value scroll duration
            var $get_scroll_duration = parseInt(scrollToTopScript_Options.scroll_duration, 10);
            // animate
            $('html, body').animate(
                {scrollTop: 0},
                $get_scroll_duration,
                scrollToTopScript_Options.easing_animation
            );
            // stop default behaviour
            return false;
        },
        // mouseenter function
        'mouseenter': function () {

            // check if the visibility duration option is not 0
            if (get_visibility_duration > 0) {
                // On mouse hover clear time out
                clearTimeout(stop_auto_hide);
            }

        },
        // mouseleave function
        'mouseleave': function () {

            // check if the visibility duration option is not 0
            if (get_visibility_duration > 0) {
                // set time out on mouse leave
                stop_auto_hide = setTimeout(auto_hide, get_visibility_duration * 1000);
            }

        }
    });

});