jQuery(document).ready(function ($) {

    // easing
    var Easing;

    Easing = (function () {

        // constructor
        function Easing(a, b) {
            this.selector = a;
            this.startButton = '.scrollToTop_start-button button';
            this.animation_name = b;
            this.button_click();
        }

        // Start button function
        Easing.prototype.start_button = function (event, current) {
            // prevent default
            // event.stopPropagation();
            // event.stopImmediatePropagation();
            // event.preventDefault();
            current = this;

            // get width
            var getWidth = $(this.selector).outerWidth() - 40;

            // animate
            $(this.selector).find('span').stop(true, true).animate(
                {'left': getWidth + 'px'},
                1000,
                current.animation_name,
                function () {
                    $(this).delay(400).animate(
                        {'left': '10px'},
                        1000,
                        current.animation_name,
                        function () {
                            // click function
                            $(current.startButton).one('click', function () {
                                current.start_button();
                            });
                        }
                    )
                }
            );
        };
        // button click function
        Easing.prototype.button_click = function (current) {
            current = this;
            // click function
            $(current.startButton).one('click', function () {
                current.start_button();
            });
        };

        // return
        return Easing;

    })();

    // call easing
    new Easing('#scroll-easing-1', 'linear');
    new Easing('#scroll-easing-2', 'swing');

});