<?php

/*
 *
 * ANIMATION
 *
 * */

Redux::setSection( $opt_name, array(
	'title'            => __( 'Animation', 'scrollToTopButtonAwesome' ),
	'id'               => 'Animation Options',
	'desc'             => __( 'Change the button animation.', 'scrollToTopButtonAwesome' ),
	'customizer_width' => '400px',
	'icon'             => 'el el-play-circle',
	'fields'           => array(

		/* Jquery ui effect easing
		=================================== */
		array(
			'id'       => 'animation_easing',
			'type'     => 'select',
			'title'    => __( 'Easings', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'Easing functions specify the speed at which an animation progresses at different points within the animation.', 'scrollToTopButtonAwesome' ),
			'default'  => 'linear',
			'options'  => array(
				'linear' => __( 'linear', 'scrollToTopButtonAwesome' ),
				'swing'  => __( 'swing', 'scrollToTopButtonAwesome' ),
			),
		),

		/* Jquery ui effect easing example
		==================================== */
		array(
			'id'         => 'easing_examples',
			'type'       => 'raw',
			'title'      => __( 'Easing Examples', 'scrollToTopButtonAwesome' ),
			'subtitle'   => __( 'This option is used to just show the easing examples.', 'scrollToTopButtonAwesome' ),
			'content'    => file_get_contents( 'easings.html', dirname( __FILE__ ) ),
			'full_width' => false,
		),

		// scroll duration
		array(
			'id'       => 'scroll-bar-scroll-duration',
			'type'     => 'slider',
			'title'    => __( 'Scroll Duration', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'This is how long it takes to scroll back to the top after the button has been pressed.', 'scrollToTopButtonAwesome' ),
			'desc'     => __( 'This Value is in milliseconds', 'scrollToTopButtonAwesome' ),
			"default"  => 400,
			"min"      => 0,
			"step"     => 1,
			"max"      => 5000,
		),
		// fade duration
		array(
			'id'       => 'scroll-bar-fade-duration',
			'type'     => 'slider',
			'title'    => __( 'All Animation Speed', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'Animation apply on text, button, background etc.', 'scrollToTopButtonAwesome' ),
			'desc'     => __( 'This Value is in seconds', 'scrollToTopButtonAwesome' ),
			"default"  => 2,
			"min"      => 0,
			"step"     => 1,
			"max"      => 120,
		),
		// reveal effects
		array(
			'id'       => 'scroll-bar-reveal-effects',
			'type'     => 'select',
			'title'    => __( 'Button Reveal Effect', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'This option is used to change the button reveal animation.', 'scrollToTopButtonAwesome' ),
			"default"  => 'fade',
			'options'  => array(
				'fade'                   => __( 'Fade', 'scrollToTopButtonAwesome' ),
				'zoom'                   => __( 'Zoom', 'scrollToTopButtonAwesome' ),
				'zoom-from-bottom-left'  => __( 'Zoom from bottom left', 'scrollToTopButtonAwesome' ),
				'zoom-from-top-left'     => __( 'Zoom from top left', 'scrollToTopButtonAwesome' ),
				'zoom-from-top-right'    => __( 'Zoom from top right', 'scrollToTopButtonAwesome' ),
				'zoom-from-bottom-right' => __( 'Zoom from bottom right', 'scrollToTopButtonAwesome' ),
			),
		),
		// visibility duration
		array(
			'id'       => 'scroll-bar-visibility-duration',
			'type'     => 'slider',
			'title'    => __( 'Visibility Duration', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'If set to 0 the button will never time out, otherwise the button will disappear after the specific time.', 'scrollToTopButtonAwesome' ),
			'desc'     => __( 'This Value is in seconds', 'scrollToTopButtonAwesome' ),
			"default"  => 0,
			"min"      => 0,
			"step"     => 1,
			"max"      => 120,
		),
	),
) );