<?php

/*
 *
 * BUTTON LABEL
 *
 * */

Redux::setSection( $opt_name, array(
	'title'            => __( 'Button Label', 'scrollToTopButtonAwesome' ),
	'id'               => 'button-label',
	'desc'             => __( 'Change what appears on the button.', 'scrollToTopButtonAwesome' ),
	'customizer_width' => '400px',
	'icon'             => 'el el-tag',
	'fields'           => array(
		// button label hide
		array(
			'id'       => 'button-label-type-hide',
			'type'     => 'switch',
			'title'    => __( 'Label Hide', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'Turn on or off the label.', 'scrollToTopButtonAwesome' ),
			'on'       => __( 'On', 'scrollToTopButtonAwesome' ),
			'off'      => __( 'Off', 'scrollToTopButtonAwesome' ),
			'default'  => '1',
		),
		// button label type
		array(
			'id'       => 'button-label-type',
			'type'     => 'button_set',
			'title'    => __( 'Label Type', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'Select the label type either font icons or text.', 'scrollToTopButtonAwesome' ),
			'default'  => 'font-icons',
			'options'  => array(
				'font-icons' => __( 'Font Icons', 'scrollToTopButtonAwesome' ),
				'text'       => __( 'Text', 'scrollToTopButtonAwesome' ),
			),
			'required' => array( 'button-label-type-hide', '=', '1' ),
		),
		// icons size
		array(
			'id'             => 'button-icons-size',
			'type'           => 'dimensions',
			'units'          => array( 'em', 'px', '%' ),
			'units_extended' => 'true',
			'height'         => false,
			'title'          => __( 'Icons Size', 'scrollToTopButtonAwesome' ),
			'subtitle'       => __( 'Change the icon size.', 'scrollToTopButtonAwesome' ),
			'default'        => array(
				'width' => '20px',
			),
			'required'       => array( 'button-label-type', '=', 'font-icons' ),
		),
		// image icons
		array(
			'id'       => 'button-label-icons',
			'type'     => 'image_select',
			'title'    => __( 'Icons', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'Select the icon which you want to show on the button.', 'scrollToTopButtonAwesome' ),
			'default'  => '1',
			'required' => array( 'button-label-type', '=', 'font-icons' ),
			'options'  => array(
				'1'   => array( 'img' => plugins_url( 'images/fontawesome/icon-1.png', dirname( __FILE__ ) ) ),
				'2'   => array( 'img' => plugins_url( 'images/fontawesome/icon-2.png', dirname( __FILE__ ) ) ),
				'3'   => array( 'img' => plugins_url( 'images/fontawesome/icon-3.png', dirname( __FILE__ ) ) ),
				'4'   => array( 'img' => plugins_url( 'images/fontawesome/icon-4.png', dirname( __FILE__ ) ) ),
				'5'   => array( 'img' => plugins_url( 'images/fontawesome/icon-5.png', dirname( __FILE__ ) ) ),
				'6'   => array( 'img' => plugins_url( 'images/fontawesome/icon-6.png', dirname( __FILE__ ) ) ),
				'7'   => array( 'img' => plugins_url( 'images/fontawesome/icon-7.png', dirname( __FILE__ ) ) ),
				'8'   => array( 'img' => plugins_url( 'images/fontawesome/icon-8.png', dirname( __FILE__ ) ) ),
				'9'   => array( 'img' => plugins_url( 'images/fontawesome/icon-9.png', dirname( __FILE__ ) ) ),
				'10'  => array( 'img' => plugins_url( 'images/fontawesome/icon-10.png', dirname( __FILE__ ) ) ),
				'11'  => array( 'img' => plugins_url( 'images/fontawesome/icon-11.png', dirname( __FILE__ ) ) ),
				'12'  => array( 'img' => plugins_url( 'images/fontawesome/icon-12.png', dirname( __FILE__ ) ) ),
				'13'  => array( 'img' => plugins_url( 'images/fontawesome/icon-13.png', dirname( __FILE__ ) ) ),
				'14'  => array( 'img' => plugins_url( 'images/fontawesome/icon-14.png', dirname( __FILE__ ) ) ),
				'15'  => array( 'img' => plugins_url( 'images/fontawesome/icon-15.png', dirname( __FILE__ ) ) ),
				'16'  => array( 'img' => plugins_url( 'images/fontawesome/icon-16.png', dirname( __FILE__ ) ) ),
				'17'  => array( 'img' => plugins_url( 'images/fontawesome/icon-17.png', dirname( __FILE__ ) ) ),
				'18'  => array( 'img' => plugins_url( 'images/fontawesome/icon-18.png', dirname( __FILE__ ) ) ),
				'19'  => array( 'img' => plugins_url( 'images/fontawesome/icon-19.png', dirname( __FILE__ ) ) ),
				'20'  => array( 'img' => plugins_url( 'images/fontawesome/icon-20.png', dirname( __FILE__ ) ) ),
				'21'  => array( 'img' => plugins_url( 'images/fontawesome/icon-21.png', dirname( __FILE__ ) ) ),
				'22'  => array( 'img' => plugins_url( 'images/fontawesome/icon-22.png', dirname( __FILE__ ) ) ),
				'23'  => array( 'img' => plugins_url( 'images/fontawesome/icon-23.png', dirname( __FILE__ ) ) ),
				'24'  => array( 'img' => plugins_url( 'images/fontawesome/icon-24.png', dirname( __FILE__ ) ) ),
				'25'  => array( 'img' => plugins_url( 'images/fontawesome/icon-25.png', dirname( __FILE__ ) ) ),
				'26'  => array( 'img' => plugins_url( 'images/fontawesome/icon-26.png', dirname( __FILE__ ) ) ),
				'27'  => array( 'img' => plugins_url( 'images/fontawesome/icon-27.png', dirname( __FILE__ ) ) ),
				'28'  => array( 'img' => plugins_url( 'images/fontawesome/icon-28.png', dirname( __FILE__ ) ) ),
				'29'  => array( 'img' => plugins_url( 'images/fontawesome/icon-29.png', dirname( __FILE__ ) ) ),
				'30'  => array( 'img' => plugins_url( 'images/fontawesome/icon-30.png', dirname( __FILE__ ) ) ),
				'31'  => array( 'img' => plugins_url( 'images/fontawesome/icon-31.png', dirname( __FILE__ ) ) ),
				'32'  => array( 'img' => plugins_url( 'images/fontawesome/icon-32.png', dirname( __FILE__ ) ) ),
				'33'  => array( 'img' => plugins_url( 'images/fontawesome/icon-33.png', dirname( __FILE__ ) ) ),
				'34'  => array( 'img' => plugins_url( 'images/fontawesome/icon-34.png', dirname( __FILE__ ) ) ),
				'35'  => array( 'img' => plugins_url( 'images/fontawesome/icon-35.png', dirname( __FILE__ ) ) ),
				'36'  => array( 'img' => plugins_url( 'images/fontawesome/icon-36.png', dirname( __FILE__ ) ) ),
				'37'  => array( 'img' => plugins_url( 'images/fontawesome/icon-37.png', dirname( __FILE__ ) ) ),
				'38'  => array( 'img' => plugins_url( 'images/fontawesome/icon-38.png', dirname( __FILE__ ) ) ),
				'39'  => array( 'img' => plugins_url( 'images/fontawesome/icon-39.png', dirname( __FILE__ ) ) ),
				'40'  => array( 'img' => plugins_url( 'images/fontawesome/icon-40.png', dirname( __FILE__ ) ) ),
				'41'  => array( 'img' => plugins_url( 'images/fontawesome/icon-41.png', dirname( __FILE__ ) ) ),
				'42'  => array( 'img' => plugins_url( 'images/fontawesome/icon-42.png', dirname( __FILE__ ) ) ),
				'43'  => array( 'img' => plugins_url( 'images/fontawesome/icon-43.png', dirname( __FILE__ ) ) ),
				'44'  => array( 'img' => plugins_url( 'images/icomoon/1.png', dirname( __FILE__ ) ) ),
				'45'  => array( 'img' => plugins_url( 'images/icomoon/2.png', dirname( __FILE__ ) ) ),
				'46'  => array( 'img' => plugins_url( 'images/icomoon/3.png', dirname( __FILE__ ) ) ),
				'47'  => array( 'img' => plugins_url( 'images/icomoon/4.png', dirname( __FILE__ ) ) ),
				'48'  => array( 'img' => plugins_url( 'images/icomoon/5.png', dirname( __FILE__ ) ) ),
				'49'  => array( 'img' => plugins_url( 'images/icomoon/6.png', dirname( __FILE__ ) ) ),
				'50'  => array( 'img' => plugins_url( 'images/icomoon/7.png', dirname( __FILE__ ) ) ),
				'51'  => array( 'img' => plugins_url( 'images/icomoon/8.png', dirname( __FILE__ ) ) ),
				'52'  => array( 'img' => plugins_url( 'images/icomoon/10.png', dirname( __FILE__ ) ) ),
				'53'  => array( 'img' => plugins_url( 'images/icomoon/11.png', dirname( __FILE__ ) ) ),
				'54'  => array( 'img' => plugins_url( 'images/icomoon/13.png', dirname( __FILE__ ) ) ),
				'55'  => array( 'img' => plugins_url( 'images/icomoon/14.png', dirname( __FILE__ ) ) ),
				'56'  => array( 'img' => plugins_url( 'images/icomoon/15.png', dirname( __FILE__ ) ) ),
				'57'  => array( 'img' => plugins_url( 'images/icomoon/16.png', dirname( __FILE__ ) ) ),
				'58'  => array( 'img' => plugins_url( 'images/icomoon/17.png', dirname( __FILE__ ) ) ),
				'59'  => array( 'img' => plugins_url( 'images/icomoon/18.png', dirname( __FILE__ ) ) ),
				'60'  => array( 'img' => plugins_url( 'images/icomoon/19.png', dirname( __FILE__ ) ) ),
				'61'  => array( 'img' => plugins_url( 'images/icomoon/20.png', dirname( __FILE__ ) ) ),
				'62'  => array( 'img' => plugins_url( 'images/icomoon/21.png', dirname( __FILE__ ) ) ),
				'63'  => array( 'img' => plugins_url( 'images/icomoon/22.png', dirname( __FILE__ ) ) ),
				'64'  => array( 'img' => plugins_url( 'images/icomoon/23.png', dirname( __FILE__ ) ) ),
				'65'  => array( 'img' => plugins_url( 'images/icomoon/24.png', dirname( __FILE__ ) ) ),
				'66'  => array( 'img' => plugins_url( 'images/icomoon/25.png', dirname( __FILE__ ) ) ),
				'67'  => array( 'img' => plugins_url( 'images/icomoon/26.png', dirname( __FILE__ ) ) ),
				'68'  => array( 'img' => plugins_url( 'images/icomoon/27.png', dirname( __FILE__ ) ) ),
				'69'  => array( 'img' => plugins_url( 'images/icomoon/28.png', dirname( __FILE__ ) ) ),
				'70'  => array( 'img' => plugins_url( 'images/icomoon/29.png', dirname( __FILE__ ) ) ),
				'71'  => array( 'img' => plugins_url( 'images/icomoon/30.png', dirname( __FILE__ ) ) ),
				'72'  => array( 'img' => plugins_url( 'images/icomoon/31.png', dirname( __FILE__ ) ) ),
				'73'  => array( 'img' => plugins_url( 'images/icomoon/32.png', dirname( __FILE__ ) ) ),
				'74'  => array( 'img' => plugins_url( 'images/icomoon/33.png', dirname( __FILE__ ) ) ),
				'75'  => array( 'img' => plugins_url( 'images/icomoon/34.png', dirname( __FILE__ ) ) ),
				'76'  => array( 'img' => plugins_url( 'images/icomoon/35.png', dirname( __FILE__ ) ) ),
				'77'  => array( 'img' => plugins_url( 'images/icomoon/36.png', dirname( __FILE__ ) ) ),
				'78'  => array( 'img' => plugins_url( 'images/icomoon/37.png', dirname( __FILE__ ) ) ),
				'79'  => array( 'img' => plugins_url( 'images/icomoon/38.png', dirname( __FILE__ ) ) ),
				'80'  => array( 'img' => plugins_url( 'images/icomoon/39.png', dirname( __FILE__ ) ) ),
				'81'  => array( 'img' => plugins_url( 'images/icomoon/40.png', dirname( __FILE__ ) ) ),
				'82'  => array( 'img' => plugins_url( 'images/icomoon/41.png', dirname( __FILE__ ) ) ),
				'83'  => array( 'img' => plugins_url( 'images/icomoon/42.png', dirname( __FILE__ ) ) ),
				'84'  => array( 'img' => plugins_url( 'images/icomoon/43.png', dirname( __FILE__ ) ) ),
				'85'  => array( 'img' => plugins_url( 'images/icomoon/44.png', dirname( __FILE__ ) ) ),
				'86'  => array( 'img' => plugins_url( 'images/icomoon/45.png', dirname( __FILE__ ) ) ),
				'87'  => array( 'img' => plugins_url( 'images/icomoon/46.png', dirname( __FILE__ ) ) ),
				'88'  => array( 'img' => plugins_url( 'images/icomoon/47.png', dirname( __FILE__ ) ) ),
				'89'  => array( 'img' => plugins_url( 'images/icomoon/48.png', dirname( __FILE__ ) ) ),
				'90'  => array( 'img' => plugins_url( 'images/icomoon/49.png', dirname( __FILE__ ) ) ),
				'91'  => array( 'img' => plugins_url( 'images/icomoon/50.png', dirname( __FILE__ ) ) ),
				'92'  => array( 'img' => plugins_url( 'images/icomoon/51.png', dirname( __FILE__ ) ) ),
				'93'  => array( 'img' => plugins_url( 'images/icomoon/52.png', dirname( __FILE__ ) ) ),
				'94'  => array( 'img' => plugins_url( 'images/icomoon/53.png', dirname( __FILE__ ) ) ),
				'95'  => array( 'img' => plugins_url( 'images/icomoon/54.png', dirname( __FILE__ ) ) ),
				'96'  => array( 'img' => plugins_url( 'images/icomoon/55.png', dirname( __FILE__ ) ) ),
				'97'  => array( 'img' => plugins_url( 'images/icomoon/56.png', dirname( __FILE__ ) ) ),
				'98'  => array( 'img' => plugins_url( 'images/icomoon/57.png', dirname( __FILE__ ) ) ),
				'99'  => array( 'img' => plugins_url( 'images/icomoon/58.png', dirname( __FILE__ ) ) ),
				'100' => array( 'img' => plugins_url( 'images/icomoon/59.png', dirname( __FILE__ ) ) ),
				'101' => array( 'img' => plugins_url( 'images/icomoon/60.png', dirname( __FILE__ ) ) ),
				'102' => array( 'img' => plugins_url( 'images/icomoon/61.png', dirname( __FILE__ ) ) ),
				'103' => array( 'img' => plugins_url( 'images/icomoon/62.png', dirname( __FILE__ ) ) ),
				'104' => array( 'img' => plugins_url( 'images/icomoon/63.png', dirname( __FILE__ ) ) ),
				'105' => array( 'img' => plugins_url( 'images/icomoon/64.png', dirname( __FILE__ ) ) ),
				'106' => array( 'img' => plugins_url( 'images/icomoon/65.png', dirname( __FILE__ ) ) ),
				'107' => array( 'img' => plugins_url( 'images/icomoon/66.png', dirname( __FILE__ ) ) ),
				'108' => array( 'img' => plugins_url( 'images/icomoon/67.png', dirname( __FILE__ ) ) ),
				'109' => array( 'img' => plugins_url( 'images/icomoon/68.png', dirname( __FILE__ ) ) ),
				'110' => array( 'img' => plugins_url( 'images/icomoon/69.png', dirname( __FILE__ ) ) ),
				'111' => array( 'img' => plugins_url( 'images/icomoon/70.png', dirname( __FILE__ ) ) ),
				'112' => array( 'img' => plugins_url( 'images/icomoon/71.png', dirname( __FILE__ ) ) ),
				'113' => array( 'img' => plugins_url( 'images/icomoon/72.png', dirname( __FILE__ ) ) ),
				'114' => array( 'img' => plugins_url( 'images/icomoon/73.png', dirname( __FILE__ ) ) ),
				'115' => array( 'img' => plugins_url( 'images/icomoon/74.png', dirname( __FILE__ ) ) ),
				'116' => array( 'img' => plugins_url( 'images/icomoon/75.png', dirname( __FILE__ ) ) ),
				'117' => array( 'img' => plugins_url( 'images/icomoon/76.png', dirname( __FILE__ ) ) ),
				'118' => array( 'img' => plugins_url( 'images/icomoon/77.png', dirname( __FILE__ ) ) ),
				'119' => array( 'img' => plugins_url( 'images/icomoon/78.png', dirname( __FILE__ ) ) ),
				'120' => array( 'img' => plugins_url( 'images/icomoon/79.png', dirname( __FILE__ ) ) ),
				'121' => array( 'img' => plugins_url( 'images/icomoon/80.png', dirname( __FILE__ ) ) ),
				'122' => array( 'img' => plugins_url( 'images/icomoon/90.png', dirname( __FILE__ ) ) ),
				'123' => array( 'img' => plugins_url( 'images/icomoon/100.png', dirname( __FILE__ ) ) ),
				'124' => array( 'img' => plugins_url( 'images/icomoon/101.png', dirname( __FILE__ ) ) ),
				'125' => array( 'img' => plugins_url( 'images/icomoon/102.png', dirname( __FILE__ ) ) ),
				'126' => array( 'img' => plugins_url( 'images/icomoon/103.png', dirname( __FILE__ ) ) ),
				'127' => array( 'img' => plugins_url( 'images/icomoon/104.png', dirname( __FILE__ ) ) ),
				'128' => array( 'img' => plugins_url( 'images/icomoon/105.png', dirname( __FILE__ ) ) ),
				'129' => array( 'img' => plugins_url( 'images/icomoon/106.png', dirname( __FILE__ ) ) ),
				'130' => array( 'img' => plugins_url( 'images/icomoon/107.png', dirname( __FILE__ ) ) ),
				'131' => array( 'img' => plugins_url( 'images/icomoon/108.png', dirname( __FILE__ ) ) ),
				'132' => array( 'img' => plugins_url( 'images/icomoon/109.png', dirname( __FILE__ ) ) ),
				'133' => array( 'img' => plugins_url( 'images/icomoon/110.png', dirname( __FILE__ ) ) ),
				'134' => array( 'img' => plugins_url( 'images/icomoon/111.png', dirname( __FILE__ ) ) ),
				'135' => array( 'img' => plugins_url( 'images/icomoon/112.png', dirname( __FILE__ ) ) ),
				'136' => array( 'img' => plugins_url( 'images/icomoon/113.png', dirname( __FILE__ ) ) ),
				'137' => array( 'img' => plugins_url( 'images/icomoon/114.png', dirname( __FILE__ ) ) ),
				'138' => array( 'img' => plugins_url( 'images/icomoon/115.png', dirname( __FILE__ ) ) ),
				'139' => array( 'img' => plugins_url( 'images/icomoon/116.png', dirname( __FILE__ ) ) ),
				'140' => array( 'img' => plugins_url( 'images/icomoon/117.png', dirname( __FILE__ ) ) ),
				'141' => array( 'img' => plugins_url( 'images/icomoon/118.png', dirname( __FILE__ ) ) ),
				'142' => array( 'img' => plugins_url( 'images/icomoon/119.png', dirname( __FILE__ ) ) ),
				'143' => array( 'img' => plugins_url( 'images/icomoon/120.png', dirname( __FILE__ ) ) ),
				'144' => array( 'img' => plugins_url( 'images/icomoon/121.png', dirname( __FILE__ ) ) ),
				'145' => array( 'img' => plugins_url( 'images/icomoon/122.png', dirname( __FILE__ ) ) ),
				'146' => array( 'img' => plugins_url( 'images/icomoon/123.png', dirname( __FILE__ ) ) ),
				'147' => array( 'img' => plugins_url( 'images/icomoon/124.png', dirname( __FILE__ ) ) ),
				'148' => array( 'img' => plugins_url( 'images/icomoon/125.png', dirname( __FILE__ ) ) ),
				'149' => array( 'img' => plugins_url( 'images/icomoon/126.png', dirname( __FILE__ ) ) ),
				'150' => array( 'img' => plugins_url( 'images/icomoon/127.png', dirname( __FILE__ ) ) ),
				'151' => array( 'img' => plugins_url( 'images/icomoon/128.png', dirname( __FILE__ ) ) ),
				'152' => array( 'img' => plugins_url( 'images/icomoon/129.png', dirname( __FILE__ ) ) ),
				'153' => array( 'img' => plugins_url( 'images/icomoon/130.png', dirname( __FILE__ ) ) ),
				'154' => array( 'img' => plugins_url( 'images/icomoon/131.png', dirname( __FILE__ ) ) ),
				'155' => array( 'img' => plugins_url( 'images/icomoon/132.png', dirname( __FILE__ ) ) ),
				'156' => array( 'img' => plugins_url( 'images/icomoon/133.png', dirname( __FILE__ ) ) ),
				'157' => array( 'img' => plugins_url( 'images/icomoon/134.png', dirname( __FILE__ ) ) ),
				'158' => array( 'img' => plugins_url( 'images/icomoon/135.png', dirname( __FILE__ ) ) ),
				'159' => array( 'img' => plugins_url( 'images/icomoon/136.png', dirname( __FILE__ ) ) ),
				'160' => array( 'img' => plugins_url( 'images/icomoon/137.png', dirname( __FILE__ ) ) ),
				'161' => array( 'img' => plugins_url( 'images/icomoon/138.png', dirname( __FILE__ ) ) ),
				'162' => array( 'img' => plugins_url( 'images/icomoon/139.png', dirname( __FILE__ ) ) ),
				'163' => array( 'img' => plugins_url( 'images/icomoon/140.png', dirname( __FILE__ ) ) ),
				'164' => array( 'img' => plugins_url( 'images/icomoon/141.png', dirname( __FILE__ ) ) ),
				'165' => array( 'img' => plugins_url( 'images/icomoon/142.png', dirname( __FILE__ ) ) ),
				'166' => array( 'img' => plugins_url( 'images/icomoon/143.png', dirname( __FILE__ ) ) ),
				'167' => array( 'img' => plugins_url( 'images/icomoon/144.png', dirname( __FILE__ ) ) ),
				'168' => array( 'img' => plugins_url( 'images/icomoon/145.png', dirname( __FILE__ ) ) ),
				'169' => array( 'img' => plugins_url( 'images/icomoon/146.png', dirname( __FILE__ ) ) ),
				'170' => array( 'img' => plugins_url( 'images/icomoon/147.png', dirname( __FILE__ ) ) ),
				'171' => array( 'img' => plugins_url( 'images/icomoon/148.png', dirname( __FILE__ ) ) ),
				'172' => array( 'img' => plugins_url( 'images/icomoon/149.png', dirname( __FILE__ ) ) ),
				'173' => array( 'img' => plugins_url( 'images/icomoon/150.png', dirname( __FILE__ ) ) ),
				'174' => array( 'img' => plugins_url( 'images/icomoon/151.png', dirname( __FILE__ ) ) ),
				'175' => array( 'img' => plugins_url( 'images/icomoon/152.png', dirname( __FILE__ ) ) ),
				'176' => array( 'img' => plugins_url( 'images/icomoon/153.png', dirname( __FILE__ ) ) ),
				'177' => array( 'img' => plugins_url( 'images/icomoon/154.png', dirname( __FILE__ ) ) ),
				'178' => array( 'img' => plugins_url( 'images/icomoon/155.png', dirname( __FILE__ ) ) ),
				'179' => array( 'img' => plugins_url( 'images/icomoon/156.png', dirname( __FILE__ ) ) ),
				'180' => array( 'img' => plugins_url( 'images/icomoon/157.png', dirname( __FILE__ ) ) ),
				'181' => array( 'img' => plugins_url( 'images/icomoon/158.png', dirname( __FILE__ ) ) ),
				'182' => array( 'img' => plugins_url( 'images/icomoon/159.png', dirname( __FILE__ ) ) ),
				'183' => array( 'img' => plugins_url( 'images/icomoon/160.png', dirname( __FILE__ ) ) ),
				'184' => array( 'img' => plugins_url( 'images/icomoon/161.png', dirname( __FILE__ ) ) ),
				'185' => array( 'img' => plugins_url( 'images/icomoon/162.png', dirname( __FILE__ ) ) ),
				'186' => array( 'img' => plugins_url( 'images/icomoon/163.png', dirname( __FILE__ ) ) ),
				'187' => array( 'img' => plugins_url( 'images/icomoon/164.png', dirname( __FILE__ ) ) ),
				'188' => array( 'img' => plugins_url( 'images/icomoon/165.png', dirname( __FILE__ ) ) ),
				'189' => array( 'img' => plugins_url( 'images/icomoon/166.png', dirname( __FILE__ ) ) ),
				'190' => array( 'img' => plugins_url( 'images/icomoon/167.png', dirname( __FILE__ ) ) ),
				'191' => array( 'img' => plugins_url( 'images/icomoon/168.png', dirname( __FILE__ ) ) ),
				'192' => array( 'img' => plugins_url( 'images/icomoon/169.png', dirname( __FILE__ ) ) ),
			),
		),

		// text
		array(
			'id'       => 'button-label-text',
			'type'     => 'text',
			'title'    => __( 'Custom Text', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'Change the text which you want to show on the button.', 'scrollToTopButtonAwesome' ),
			'default'  => 'Some Text',
			'required' => array( 'button-label-type', '=', 'text' ),
		),

		// text font size
		array(
			'id'             => 'button-label-font-size',
			'type'           => 'dimensions',
			'units'          => array( 'em', 'px', '%' ),
			'units_extended' => 'true',
			'height'         => false,
			'title'          => __( 'Font Size', 'scrollToTopButtonAwesome' ),
			'subtitle'       => __( 'Change the text font size.', 'scrollToTopButtonAwesome' ),
			'default'        => array(
				'width' => '20px',
			),
			'required'       => array( 'button-label-type', '=', 'text' ),
		),
		// typography
		array(
			'id'             => 'button-label-typography',
			'type'           => 'typography',
			'title'          => __( 'Typography', 'scrollToTopButtonAwesome' ),
			'required'       => array( 'button-label-type', '=', 'text' ),
			//'compiler'      => true,  // Use if you want to hook in your own CSS compiler
			'google'         => true,
			// Disable google fonts. Won't work if you haven't defined your google api key
			'font-backup'    => false,
			// Select a backup non-google font in addition to a google font
			//'font-style'    => false, // Includes font-style and weight. Can use font-style or font-weight to declare
			'subsets'        => false, // Only appears if google is true and subsets not set to false
			'font-size'      => false,
			'line-height'    => false,
			'word-spacing'   => true,  // Defaults to false
			'letter-spacing' => true,  // Defaults to false
			'color'          => false,
			'text-align'     => false,
			//'preview'       => false, // Disable the previewer
			'all_styles'     => false,
			// An array of CSS selectors to apply this font style to dynamically
			'units'          => false,
			// Defaults to px
			'subtitle'       => __( 'Change the text typography.', 'scrollToTopButtonAwesome' ),
			'default'        => array(
				'font-family' => 'inherit',
				'google'      => true,
			),
		),
		// google font
		array(
			'id'          => 'button-label-typography-google-font',
			'type'        => 'text',
			'title'       => __( 'Google Font URL', 'scrollToTopButtonAwesome' ),
			'subtitle'    => __( 'Choose the font you want from Google <a target="_blank" href="https://www.google.com/fonts">library</a> and press <img src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAYAQMAAADAhU81AAAABGdBTUEAALGPC/xhBQAAACBjSFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAABlBMVEX///+EhIQGxHpUAAAAAWJLR0QAiAUdSAAAAAlwSFlzAAALEgAACxIB0t1+/AAAACRJREFUCNdjYMAD5P9BsAQbELsBcRoDg/Q3CAaxwWJsCHVYAAB5aQiLPNDspQAAAABJRU5ErkJggg==">', 'scrollToTopButtonAwesome' ),
			'desc'        => __( 'Add Code. Note: Google font won\'t work if you haven\'t defined google font URL', 'scrollToTopButtonAwesome' ),
			'validate'    => 'url',
			'placeholder' => 'https://fonts.googleapis.com/css?family=Oswald:400,700',
			'required'    => array( 'button-label-type', '=', 'text' ),
		),
	),
) );