<?php

/*
 *
 * VISIBILITY SECTION
 *
 * */

Redux::setSection( $opt_name, array(
	'title'            => __( 'Visibility', 'scrollToTopButtonAwesome' ),
	'id'               => 'general_settings',
	'customizer_width' => '400px',
	'icon'             => 'el el-eye-open',
	'fields'           => array(
		// button show or hide
		array(
			'id'       => 'visibility-radio-button',
			'type'     => 'button_set',
			'title'    => __( 'Visibility', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'This option is used to show or hide the button', 'scrollToTopButtonAwesome' ),
			'options'  => array(
				'enable'  => __( 'Enable', 'scrollToTopButtonAwesome' ),
				'disable' => __( 'Disable', 'scrollToTopButtonAwesome' ),
			),
			'default'  => 'enable',
		),
		// button hide on small screen width
		array(
			'id'       => 'visibility-min-width',
			'type'     => 'slider',
			'title'    => __( 'Minimum Browser Resolution', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'In smallest browser resolution the scroll button should appear on. This value is in px (pixel) unit.', 'scrollToTopButtonAwesome' ),
			'desc'     => __( 'Min: 0, Max: 99999, default value: 0', 'scrollToTopButtonAwesome' ),
			"default"  => 0,
			"min"      => 0,
			"step"     => 1,
			"max"      => "9999",
		),
		// button show on large screen width
		array(
			'id'       => 'visibility-max-width',
			'type'     => 'slider',
			'title'    => __( 'Maximum Browser Resolution', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'In largest browser resolution the scroll button should appear on. This value is in px (pixel) unit.', 'scrollToTopButtonAwesome' ),
			'desc'     => __( 'Min: 0, Max: 99999, default value: 99999', 'scrollToTopButtonAwesome' ),
			"default"  => 9999,
			"min"      => 1,
			"step"     => 1,
			"max"      => "9999",
		),
	),
) );
